List architecture decisions
GET
workspaceTokenheader
AuthorizationBearer <vat_<opaque-token>>Expiring, hashed workspace token with explicit scopes.
workspace_id*Workspace IdFormat
uuidrepository_id?|nulldecision_status?|nulllimit?LimitRange
1 <= value <= 200Default
100Successful Response
application/json- response
items*array<>curl -X GET 'https://api.veriom.ai/v1/workspaces/497f6eca-6276-4993-bfeb-53cbbbba6f08/architecture-decisions'Example Response
{ "items": [ { "affected_entity_keys": [ "string" ], "affected_relationship_keys": [ "string" ], "approvals": [ { "actor_id": "04f37679-bfbf-4906-b749-01756515cecf", "actor_role": "string", "authorization_scope": "string", "created_at": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "outcome": "approved", "policy_version": 0, "rationale": "string" } ], "approved_at": "2019-08-24T14:15:22Z", "approved_by": "02030314-b162-4b4d-8af1-88eabdcc615d", "candidate_change_id": "string", "context": "string", "created_at": "2019-08-24T14:15:22Z", "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4", "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "implemented_at": "2019-08-24T14:15:22Z", "latest_rationale": "string", "options": [ { "benefits": [ "string" ], "description": "string", "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "id": "string", "title": "string", "tradeoffs": [ "string" ] } ], "owner_id": "8826ee2e-7933-4665-aef2-2393f84a0d05", "question": "string", "repository_id": "b349ae61-b973-4c6c-a5e0-89183ba99ff3", "selected_option_id": "string", "snapshot_id": "163831af-8c1b-4992-a9cf-88c6306604c0", "status": "proposed", "success_criteria": [ { "assertion": { "key": "string", "kind": "entity_present", "minimum_coverage": "string" }, "description": "string", "id": "string", "verification": "string" } ], "superseded_at": "2019-08-24T14:15:22Z", "supersedes_id": "8149cd94-4e90-4a99-91f5-a3e0f9b829dc", "title": "string", "uncertainties": [ { "blocking": false, "code": "missing_source", "detail": "string", "evidence_ids": [ "973ab5a6-b373-447d-ab9d-bdb660b35afc" ], "observed_at": "2019-08-24T14:15:22Z", "resolution_summary": "string", "resolved_at": "2019-08-24T14:15:22Z", "scope": "source", "source_keys": [ "string" ], "state": "open", "subject_key": "string" } ], "updated_at": "2019-08-24T14:15:22Z", "verification_result": { "baseline_snapshot_id": "52737707-07c6-4939-8e33-14d360aab527", "blocking_uncertainty_count": 0, "criteria": [ { "criterion_id": "string", "detail": "string", "evidence_ids": [ "string" ], "outcome": "passed" } ], "observed_at": "2019-08-24T14:15:22Z", "observed_snapshot_id": "35dbe668-2d17-4ed3-83d7-8b65cd6b4f51", "outcome": "passed", "source_coverage": "string" }, "verification_snapshot_id": "74f30134-8da5-4b8c-b107-2de86c3f7115", "verified_at": "2019-08-24T14:15:22Z", "version": 0, "workspace_id": "0967198e-ec7b-4c6b-b4d3-f71244cadbe9" } ]}